      /if not defined (CHECKDIGIT_H)
      /define CHECKDIGIT_H

      *-------------------------------------------------------------------------
      *
      * (C) Copyleft 2011 Mihael Schmidt
      *
      * This file is part of the CHECKDIGIT service program).
      *
      * CHECKDIGIT is free software: you can redistribute it and/or modify
      * it under the terms of the GNU General Public License as published
      * the Free Software Foundation, either version 3 of the License, or
      * any later version.
      *
      * CHECKDIGIT is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      * GNU General Public License for more details.
      *
      * You should have received a copy of the GNU General Public License
      * along with CHECKDIGIT.  If not, see <http://www.gnu.org/licenses/>.
      *
      *-------------------------------------------------------------------------



      *-------------------------------------------------------------------------
      * Prototypes
      *-------------------------------------------------------------------------
      
     /**
      * \brief Validate code
      *
      * Validate a modulus check digit for a code.
      *
      * \param Code
      * \param Modulus (default: 10)
      *
      * \return *on = code is valid <br>
      *         *off = no code passed or code invalid
      */
     D rng_validator_modulus_isValid...
     D                 PR              N   extproc('rng_validator_modulus_-
     D                                     isValid') 
     D  code                        128A   const varying
     D  modulus                      10I 0 const options(*nopass)
     
     /**
      * \param Calculate check digit
      * 
      * Calculates the check digit for the passed code.
      * 
      * \param Code (without check digit)
      * 
      * \return calculated check digit
      * 
      * \throws CPF9898 Invalid check digit
      */
     D rng_validator_modulus_calculate...
     D                 PR             1P 0 extproc('rng_validator_modulus_-
     D                                     calculate')
     D   code                       128A   const varying
     D   modulus                     10I 0 const options(*nopass)

      
      /endif
